:root {
  --wz8b7d0: Helvetica, arial, sans-serif;
  --wz8b7d1: Source Code Pro, Firacode, Hasklig, Menlo, monospace;
  --wz8b7d2: normal 10px Helvetica, arial, sans-serif;
  --wz8b7d3: normal 12px Helvetica, arial, sans-serif;
  --wz8b7d4: normal 14px Helvetica, arial, sans-serif;
  --wz8b7d5: normal 16px/20px Helvetica, arial, sans-serif;
  --wz8b7d6: 700;
  --wz8b7d7: 4px;
  --wz8b7d8: 8px;
  --wz8b7d9: 16px;
  --wz8b7da: 100%;
  --wz8b7db: 70px;
  --wz8b7dc: 44px;
  --wz8b7dd: opacity 300ms ease, transform 300ms ease;
  --wz8b7de: opacity 200ms ease, transform 200ms ease;
  --wz8b7df: opacity 100ms ease, transform 100ms ease;
  --wz8b7dg: 0;
  --wz8b7dh: 2px;
  --wz8b7di: 4px;
  --wz8b7dj: 8px;
  --wz8b7dk: 12px;
  --wz8b7dl: 16px;
  --wz8b7dm: 20px;
  --wz8b7dn: 24px;
  --wz8b7do: 32px;
  --wz8b7dp: 40px;
}
:root {
  --q71dar0: #000;
  --q71dar1: #040080;
  --q71dar2: #005ad2;
  --q71dar3: #00439c;
  --q71dar4: #00439c;
  --q71dar5: #0088ff;
  --q71dar6: #75438a;
  --q71dar7: #a7a7a7;
  --q71dar8: #515151;
  --q71dar9: #fff;
  --q71dara: #a7a7a7;
  --q71darb: #cd193d;
  --q71darc: #005ad2;
  --q71dard: #1da584;
  --q71dare: rgb(0, 0, 0, .05);
  --q71darf: #005ad2;
  --q71darg: #c5f5e9;
  --q71darh: #fee1e9;
  --q71dari: #eeeeee;
  --q71darj: #fff;
  --q71dark: #f4f4f4;
  --q71darl: rgb(from #0088ff r g b / calc(alpha - 0.85));
  --q71darm: hsl(from #e5f3ff h s calc(l - 15));
  --q71darn: #eeeeee;
  --q71daro: 0 2px 8px rgb(18, 21, 26, 0.3);
  --q71darp: 0 0 0 5px #e5f3ff;
}
:root[data-playroom-dark] {
  --q71dar0: #f6f8fa;
  --q71dar1: #c8e1f7;
  --q71dar2: #68aeea;
  --q71dar3: #97c8f1;
  --q71dar4: #97c8f1;
  --q71dar5: #3e8fe0;
  --q71dar6: #aa83f2;
  --q71dar7: #3d4b63;
  --q71dar8: #f6f8fa;
  --q71dar9: #000;
  --q71dara: #828ea4;
  --q71darb: #fa6b6c;
  --q71darc: #3e8fe0;
  --q71dard: #28b888;
  --q71dare: rgb(255, 255, 255, .07);
  --q71darf: #3e8fe0;
  --q71darg: color-mix(in srgb, #0f131b 60%, #28b888);
  --q71darh: color-mix(in srgb, #0f131b 70%, #db2d2d);
  --q71dari: #1c2230;
  --q71darj: #0f131b;
  --q71dark: hsl(from #0f131b h s calc(l - 3));
  --q71darl: rgb(from #296fc0 r g b / calc(alpha - 0.75));
  --q71darm: rgb(from #296fc0 r g b / calc(alpha - 0.25));
  --q71darn: #1c2230;
  --q71daro: 0 0 10px -2px hsl(from #0f131b h s calc(l - 5));
  --q71darp: 0 0 0 5px rgb(from #68aeea r g b / calc(alpha - 0.6));
}
.q71darq {
  position: absolute;
}
.q71darr {
  position: relative;
}
.q71dars {
  position: fixed;
}
.q71dart {
  top: 0;
}
.q71daru {
  bottom: 0;
}
.q71darv {
  left: 0;
}
.q71darw {
  right: 0;
}
.q71darx {
  display: none;
}
.q71dary {
  display: flex;
}
.q71darz {
  display: block;
}
.q71dar10 {
  display: inline;
}
.q71dar11 {
  flex-direction: row;
}
.q71dar12 {
  flex-direction: column;
}
.q71dar13 {
  flex-direction: row-reverse;
}
.q71dar14 {
  flex-wrap: wrap;
}
.q71dar15 {
  flex-grow: 0;
}
.q71dar16 {
  flex-grow: 1;
}
.q71dar17 {
  justify-content: stretch;
}
.q71dar18 {
  justify-content: flex-start;
}
.q71dar19 {
  justify-content: center;
}
.q71dar1a {
  justify-content: flex-end;
}
.q71dar1b {
  justify-content: space-around;
}
.q71dar1c {
  justify-content: space-between;
}
.q71dar1d {
  align-items: stretch;
}
.q71dar1e {
  align-items: flex-start;
}
.q71dar1f {
  align-items: center;
}
.q71dar1g {
  align-items: flex-end;
}
.q71dar1h {
  gap: var(--wz8b7dg);
}
.q71dar1i {
  gap: var(--wz8b7dh);
}
.q71dar1j {
  gap: var(--wz8b7di);
}
.q71dar1k {
  gap: var(--wz8b7dj);
}
.q71dar1l {
  gap: var(--wz8b7dk);
}
.q71dar1m {
  gap: var(--wz8b7dl);
}
.q71dar1n {
  gap: var(--wz8b7dm);
}
.q71dar1o {
  gap: var(--wz8b7dn);
}
.q71dar1p {
  gap: var(--wz8b7do);
}
.q71dar1q {
  gap: var(--wz8b7dp);
}
.q71dar1r {
  padding-top: var(--wz8b7dg);
}
.q71dar1s {
  padding-top: var(--wz8b7dh);
}
.q71dar1t {
  padding-top: var(--wz8b7di);
}
.q71dar1u {
  padding-top: var(--wz8b7dj);
}
.q71dar1v {
  padding-top: var(--wz8b7dk);
}
.q71dar1w {
  padding-top: var(--wz8b7dl);
}
.q71dar1x {
  padding-top: var(--wz8b7dm);
}
.q71dar1y {
  padding-top: var(--wz8b7dn);
}
.q71dar1z {
  padding-top: var(--wz8b7do);
}
.q71dar20 {
  padding-top: var(--wz8b7dp);
}
.q71dar21 {
  padding-bottom: var(--wz8b7dg);
}
.q71dar22 {
  padding-bottom: var(--wz8b7dh);
}
.q71dar23 {
  padding-bottom: var(--wz8b7di);
}
.q71dar24 {
  padding-bottom: var(--wz8b7dj);
}
.q71dar25 {
  padding-bottom: var(--wz8b7dk);
}
.q71dar26 {
  padding-bottom: var(--wz8b7dl);
}
.q71dar27 {
  padding-bottom: var(--wz8b7dm);
}
.q71dar28 {
  padding-bottom: var(--wz8b7dn);
}
.q71dar29 {
  padding-bottom: var(--wz8b7do);
}
.q71dar2a {
  padding-bottom: var(--wz8b7dp);
}
.q71dar2b {
  padding-left: var(--wz8b7dg);
}
.q71dar2c {
  padding-left: var(--wz8b7dh);
}
.q71dar2d {
  padding-left: var(--wz8b7di);
}
.q71dar2e {
  padding-left: var(--wz8b7dj);
}
.q71dar2f {
  padding-left: var(--wz8b7dk);
}
.q71dar2g {
  padding-left: var(--wz8b7dl);
}
.q71dar2h {
  padding-left: var(--wz8b7dm);
}
.q71dar2i {
  padding-left: var(--wz8b7dn);
}
.q71dar2j {
  padding-left: var(--wz8b7do);
}
.q71dar2k {
  padding-left: var(--wz8b7dp);
}
.q71dar2l {
  padding-right: var(--wz8b7dg);
}
.q71dar2m {
  padding-right: var(--wz8b7dh);
}
.q71dar2n {
  padding-right: var(--wz8b7di);
}
.q71dar2o {
  padding-right: var(--wz8b7dj);
}
.q71dar2p {
  padding-right: var(--wz8b7dk);
}
.q71dar2q {
  padding-right: var(--wz8b7dl);
}
.q71dar2r {
  padding-right: var(--wz8b7dm);
}
.q71dar2s {
  padding-right: var(--wz8b7dn);
}
.q71dar2t {
  padding-right: var(--wz8b7do);
}
.q71dar2u {
  padding-right: var(--wz8b7dp);
}
.q71dar2v {
  margin-top: var(--wz8b7dg);
}
.q71dar2w {
  margin-top: var(--wz8b7dh);
}
.q71dar2x {
  margin-top: var(--wz8b7di);
}
.q71dar2y {
  margin-top: var(--wz8b7dj);
}
.q71dar2z {
  margin-top: var(--wz8b7dk);
}
.q71dar30 {
  margin-top: var(--wz8b7dl);
}
.q71dar31 {
  margin-top: var(--wz8b7dm);
}
.q71dar32 {
  margin-top: var(--wz8b7dn);
}
.q71dar33 {
  margin-top: var(--wz8b7do);
}
.q71dar34 {
  margin-top: var(--wz8b7dp);
}
.q71dar35 {
  margin-top: auto;
}
.q71dar36 {
  margin-bottom: var(--wz8b7dg);
}
.q71dar37 {
  margin-bottom: var(--wz8b7dh);
}
.q71dar38 {
  margin-bottom: var(--wz8b7di);
}
.q71dar39 {
  margin-bottom: var(--wz8b7dj);
}
.q71dar3a {
  margin-bottom: var(--wz8b7dk);
}
.q71dar3b {
  margin-bottom: var(--wz8b7dl);
}
.q71dar3c {
  margin-bottom: var(--wz8b7dm);
}
.q71dar3d {
  margin-bottom: var(--wz8b7dn);
}
.q71dar3e {
  margin-bottom: var(--wz8b7do);
}
.q71dar3f {
  margin-bottom: var(--wz8b7dp);
}
.q71dar3g {
  margin-bottom: auto;
}
.q71dar3h {
  margin-left: var(--wz8b7dg);
}
.q71dar3i {
  margin-left: var(--wz8b7dh);
}
.q71dar3j {
  margin-left: var(--wz8b7di);
}
.q71dar3k {
  margin-left: var(--wz8b7dj);
}
.q71dar3l {
  margin-left: var(--wz8b7dk);
}
.q71dar3m {
  margin-left: var(--wz8b7dl);
}
.q71dar3n {
  margin-left: var(--wz8b7dm);
}
.q71dar3o {
  margin-left: var(--wz8b7dn);
}
.q71dar3p {
  margin-left: var(--wz8b7do);
}
.q71dar3q {
  margin-left: var(--wz8b7dp);
}
.q71dar3r {
  margin-left: auto;
}
.q71dar3s {
  margin-right: var(--wz8b7dg);
}
.q71dar3t {
  margin-right: var(--wz8b7dh);
}
.q71dar3u {
  margin-right: var(--wz8b7di);
}
.q71dar3v {
  margin-right: var(--wz8b7dj);
}
.q71dar3w {
  margin-right: var(--wz8b7dk);
}
.q71dar3x {
  margin-right: var(--wz8b7dl);
}
.q71dar3y {
  margin-right: var(--wz8b7dm);
}
.q71dar3z {
  margin-right: var(--wz8b7dn);
}
.q71dar40 {
  margin-right: var(--wz8b7do);
}
.q71dar41 {
  margin-right: var(--wz8b7dp);
}
.q71dar42 {
  margin-right: auto;
}
.q71dar43 {
  overflow: hidden;
}
.q71dar44 {
  overflow: auto;
}
.q71dar45 {
  box-shadow: var(--q71daro);
}
.q71dar46 {
  box-shadow: var(--q71darp);
}
.q71dar47 {
  border-radius: var(--wz8b7d7);
}
.q71dar48 {
  border-radius: var(--wz8b7d8);
}
.q71dar49 {
  border-radius: var(--wz8b7d9);
}
.q71dar4a {
  border-radius: var(--wz8b7da);
}
.q71dar4b {
  transition: var(--wz8b7dd);
}
.q71dar4c {
  transition: var(--wz8b7de);
}
.q71dar4d {
  transition: var(--wz8b7df);
}
.q71dar4e {
  cursor: pointer;
}
.q71dar4f {
  pointer-events: none;
}
.q71dar4g {
  pointer-events: auto;
}
.q71dar4h {
  user-select: none;
}
.q71dar4i {
  appearance: none;
}
.q71dar4j {
  opacity: 0;
}
.q71dar4k {
  z-index: 0;
}
.q71dar4l {
  z-index: 1;
}
.q71dar4m {
  font: var(--wz8b7d2);
}
.q71dar4n {
  font: var(--wz8b7d3);
}
.q71dar4o {
  font: var(--wz8b7d4);
}
.q71dar4p {
  font: var(--wz8b7d5);
}
.q71dar4q {
  font-weight: var(--wz8b7d6);
}
.q71dar4r {
  width: 100%;
}
.q71dar4s {
  width: 100dvw;
}
.q71dar4t {
  height: 100%;
}
.q71dar4u {
  height: 100dvh;
}
.q71dar4v {
  white-space: nowrap;
}
.q71dar4w {
  box-sizing: border-box;
}
.q71dar4x {
  text-align: center;
}
.q71dar4y {
  text-align: left;
}
.q71dar4z {
  text-align: right;
}
.q71dar50 {
  border: 0;
}
/* BASICS */

.CodeMirror {
  /* Set height, width, borders, and global font properties here */
  font-family: monospace;
  height: 300px;
  color: black;
  direction: ltr;
}

/* PADDING */

.CodeMirror-lines {
  padding: 4px 0; /* Vertical padding around content */
}
.CodeMirror pre.CodeMirror-line,
.CodeMirror pre.CodeMirror-line-like {
  padding: 0 4px; /* Horizontal padding of content */
}

.CodeMirror-scrollbar-filler, .CodeMirror-gutter-filler {
  background-color: white; /* The little square between H and V scrollbars */
}

/* GUTTER */

.CodeMirror-gutters {
  border-right: 1px solid #ddd;
  background-color: #f7f7f7;
  white-space: nowrap;
}
.CodeMirror-linenumbers {}
.CodeMirror-linenumber {
  padding: 0 3px 0 5px;
  min-width: 20px;
  text-align: right;
  color: #999;
  white-space: nowrap;
}

.CodeMirror-guttermarker { color: black; }
.CodeMirror-guttermarker-subtle { color: #999; }

/* CURSOR */

.CodeMirror-cursor {
  border-left: 1px solid black;
  border-right: none;
  width: 0;
}
/* Shown when moving in bi-directional text */
.CodeMirror div.CodeMirror-secondarycursor {
  border-left: 1px solid silver;
}
.cm-fat-cursor .CodeMirror-cursor {
  width: auto;
  border: 0 !important;
  background: #7e7;
}
.cm-fat-cursor div.CodeMirror-cursors {
  z-index: 1;
}
.cm-fat-cursor .CodeMirror-line::selection,
.cm-fat-cursor .CodeMirror-line > span::selection, 
.cm-fat-cursor .CodeMirror-line > span > span::selection { background: transparent; }
.cm-fat-cursor .CodeMirror-line::-moz-selection,
.cm-fat-cursor .CodeMirror-line > span::-moz-selection,
.cm-fat-cursor .CodeMirror-line > span > span::-moz-selection { background: transparent; }
.cm-fat-cursor { caret-color: transparent; }
@-moz-keyframes blink {
  0% {}
  50% { background-color: transparent; }
  100% {}
}
@-webkit-keyframes blink {
  0% {}
  50% { background-color: transparent; }
  100% {}
}
@keyframes blink {
  0% {}
  50% { background-color: transparent; }
  100% {}
}

/* Can style cursor different in overwrite (non-insert) mode */
.CodeMirror-overwrite .CodeMirror-cursor {}

.cm-tab { display: inline-block; text-decoration: inherit; }

.CodeMirror-rulers {
  position: absolute;
  left: 0; right: 0; top: -50px; bottom: 0;
  overflow: hidden;
}
.CodeMirror-ruler {
  border-left: 1px solid #ccc;
  top: 0; bottom: 0;
  position: absolute;
}

/* DEFAULT THEME */

.cm-s-default .cm-header {color: blue;}
.cm-s-default .cm-quote {color: #090;}
.cm-negative {color: #d44;}
.cm-positive {color: #292;}
.cm-header, .cm-strong {font-weight: bold;}
.cm-em {font-style: italic;}
.cm-link {text-decoration: underline;}
.cm-strikethrough {text-decoration: line-through;}

.cm-s-default .cm-keyword {color: #708;}
.cm-s-default .cm-atom {color: #219;}
.cm-s-default .cm-number {color: #164;}
.cm-s-default .cm-def {color: #00f;}
.cm-s-default .cm-variable,
.cm-s-default .cm-punctuation,
.cm-s-default .cm-property,
.cm-s-default .cm-operator {}
.cm-s-default .cm-variable-2 {color: #05a;}
.cm-s-default .cm-variable-3, .cm-s-default .cm-type {color: #085;}
.cm-s-default .cm-comment {color: #a50;}
.cm-s-default .cm-string {color: #a11;}
.cm-s-default .cm-string-2 {color: #f50;}
.cm-s-default .cm-meta {color: #555;}
.cm-s-default .cm-qualifier {color: #555;}
.cm-s-default .cm-builtin {color: #30a;}
.cm-s-default .cm-bracket {color: #997;}
.cm-s-default .cm-tag {color: #170;}
.cm-s-default .cm-attribute {color: #00c;}
.cm-s-default .cm-hr {color: #999;}
.cm-s-default .cm-link {color: #00c;}

.cm-s-default .cm-error {color: #f00;}
.cm-invalidchar {color: #f00;}

.CodeMirror-composing { border-bottom: 2px solid; }

/* Default styles for common addons */

div.CodeMirror span.CodeMirror-matchingbracket {color: #0b0;}
div.CodeMirror span.CodeMirror-nonmatchingbracket {color: #a22;}
.CodeMirror-matchingtag { background: rgba(255, 150, 0, .3); }
.CodeMirror-activeline-background {background: #e8f2ff;}

/* STOP */

/* The rest of this file contains styles related to the mechanics of
   the editor. You probably shouldn't touch them. */

.CodeMirror {
  position: relative;
  overflow: hidden;
  background: white;
}

.CodeMirror-scroll {
  overflow: scroll !important; /* Things will break if this is overridden */
  /* 50px is the magic margin used to hide the element's real scrollbars */
  /* See overflow: hidden in .CodeMirror */
  margin-bottom: -50px; margin-right: -50px;
  padding-bottom: 50px;
  height: 100%;
  outline: none; /* Prevent dragging from highlighting the element */
  position: relative;
  z-index: 0;
}
.CodeMirror-sizer {
  position: relative;
  border-right: 50px solid transparent;
}

/* The fake, visible scrollbars. Used to force redraw during scrolling
   before actual scrolling happens, thus preventing shaking and
   flickering artifacts. */
.CodeMirror-vscrollbar, .CodeMirror-hscrollbar, .CodeMirror-scrollbar-filler, .CodeMirror-gutter-filler {
  position: absolute;
  z-index: 6;
  display: none;
  outline: none;
}
.CodeMirror-vscrollbar {
  right: 0; top: 0;
  overflow-x: hidden;
  overflow-y: scroll;
}
.CodeMirror-hscrollbar {
  bottom: 0; left: 0;
  overflow-y: hidden;
  overflow-x: scroll;
}
.CodeMirror-scrollbar-filler {
  right: 0; bottom: 0;
}
.CodeMirror-gutter-filler {
  left: 0; bottom: 0;
}

.CodeMirror-gutters {
  position: absolute; left: 0; top: 0;
  min-height: 100%;
  z-index: 3;
}
.CodeMirror-gutter {
  white-space: normal;
  height: 100%;
  display: inline-block;
  vertical-align: top;
  margin-bottom: -50px;
}
.CodeMirror-gutter-wrapper {
  position: absolute;
  z-index: 4;
  background: none !important;
  border: none !important;
}
.CodeMirror-gutter-background {
  position: absolute;
  top: 0; bottom: 0;
  z-index: 4;
}
.CodeMirror-gutter-elt {
  position: absolute;
  cursor: default;
  z-index: 4;
}
.CodeMirror-gutter-wrapper ::selection { background-color: transparent }
.CodeMirror-gutter-wrapper ::-moz-selection { background-color: transparent }

.CodeMirror-lines {
  cursor: text;
  min-height: 1px; /* prevents collapsing before first draw */
}
.CodeMirror pre.CodeMirror-line,
.CodeMirror pre.CodeMirror-line-like {
  /* Reset some styles that the rest of the page might have set */
  -moz-border-radius: 0; -webkit-border-radius: 0; border-radius: 0;
  border-width: 0;
  background: transparent;
  font-family: inherit;
  font-size: inherit;
  margin: 0;
  white-space: pre;
  word-wrap: normal;
  line-height: inherit;
  color: inherit;
  z-index: 2;
  position: relative;
  overflow: visible;
  -webkit-tap-highlight-color: transparent;
  -webkit-font-variant-ligatures: contextual;
  font-variant-ligatures: contextual;
}
.CodeMirror-wrap pre.CodeMirror-line,
.CodeMirror-wrap pre.CodeMirror-line-like {
  word-wrap: break-word;
  white-space: pre-wrap;
  word-break: normal;
}

.CodeMirror-linebackground {
  position: absolute;
  left: 0; right: 0; top: 0; bottom: 0;
  z-index: 0;
}

.CodeMirror-linewidget {
  position: relative;
  z-index: 2;
  padding: 0.1px; /* Force widget margins to stay inside of the container */
}

.CodeMirror-widget {}

.CodeMirror-rtl pre { direction: rtl; }

.CodeMirror-code {
  outline: none;
}

/* Force content-box sizing for the elements where we expect it */
.CodeMirror-scroll,
.CodeMirror-sizer,
.CodeMirror-gutter,
.CodeMirror-gutters,
.CodeMirror-linenumber {
  -moz-box-sizing: content-box;
  box-sizing: content-box;
}

.CodeMirror-measure {
  position: absolute;
  width: 100%;
  height: 0;
  overflow: hidden;
  visibility: hidden;
}

.CodeMirror-cursor {
  position: absolute;
  pointer-events: none;
}
.CodeMirror-measure pre { position: static; }

div.CodeMirror-cursors {
  visibility: hidden;
  position: relative;
  z-index: 3;
}
div.CodeMirror-dragcursors {
  visibility: visible;
}

.CodeMirror-focused div.CodeMirror-cursors {
  visibility: visible;
}

.CodeMirror-selected { background: #d9d9d9; }
.CodeMirror-focused .CodeMirror-selected { background: #d7d4f0; }
.CodeMirror-crosshair { cursor: crosshair; }
.CodeMirror-line::selection, .CodeMirror-line > span::selection, .CodeMirror-line > span > span::selection { background: #d7d4f0; }
.CodeMirror-line::-moz-selection, .CodeMirror-line > span::-moz-selection, .CodeMirror-line > span > span::-moz-selection { background: #d7d4f0; }

.cm-searching {
  background-color: #ffa;
  background-color: rgba(255, 255, 0, .4);
}

/* Used to force a border model for a node */
.cm-force-border { padding-right: .1px; }

@media print {
  /* Hide the cursor when printing */
  .CodeMirror div.CodeMirror-cursors {
    visibility: hidden;
  }
}

/* See issue #2901 */
.cm-tab-wrap-hack:after { content: ''; }

/* Help users use markselection to safely style text background */
span.CodeMirror-selectedtext { background: none; }

.CodeMirror-dialog {
  position: absolute;
  left: 0; right: 0;
  background: inherit;
  z-index: 15;
  padding: .1em .8em;
  overflow: hidden;
  color: inherit;
}

.CodeMirror-dialog-top {
  border-bottom: 1px solid #eee;
  top: 0;
}

.CodeMirror-dialog-bottom {
  border-top: 1px solid #eee;
  bottom: 0;
}

.CodeMirror-dialog input {
  border: none;
  outline: none;
  background: transparent;
  width: 20em;
  color: inherit;
  font-family: monospace;
}

.CodeMirror-dialog button {
  font-size: 70%;
}

/* neo theme for codemirror */

/* Color scheme */

.cm-s-neo.CodeMirror {
  background-color:#ffffff;
  color:#2e383c;
  line-height:1.4375;
}
.cm-s-neo .cm-comment { color:#75787b; }
.cm-s-neo .cm-keyword, .cm-s-neo .cm-property { color:#1d75b3; }
.cm-s-neo .cm-atom,.cm-s-neo .cm-number { color:#75438a; }
.cm-s-neo .cm-node,.cm-s-neo .cm-tag { color:#9c3328; }
.cm-s-neo .cm-string { color:#b35e14; }
.cm-s-neo .cm-variable,.cm-s-neo .cm-qualifier { color:#047d65; }


/* Editor styling */

.cm-s-neo pre {
  padding:0;
}

.cm-s-neo .CodeMirror-gutters {
  border:none;
  border-right:10px solid transparent;
  background-color:transparent;
}

.cm-s-neo .CodeMirror-linenumber {
  padding:0;
  color:#e0e2e5;
}

.cm-s-neo .CodeMirror-guttermarker { color: #1d75b3; }
.cm-s-neo .CodeMirror-guttermarker-subtle { color: #e0e2e5; }

.cm-s-neo .CodeMirror-cursor {
  width: auto;
  border: 0;
  background: rgba(155,157,162,0.37);
  z-index: 1;
}

._13rolxh5 {
  outline: none;
  height: 60px;
  width: 60px;
  color: currentColor;
  background-color: var(--q71darj);
  -webkit-tap-highlight-color: transparent;
}
._13rolxh5::before {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: var(--q71darl);
  opacity: 0;
  transition: var(--wz8b7dd);
  pointer-events: none;
}
._13rolxh5::after {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  right: 0;
  width: 5px;
  background-color: currentColor;
  transition: var(--wz8b7dd);
}
._13rolxh5._13rolxh0 {
  color: var(--q71dard);
}
._13rolxh5:not(._13rolxh1) {
  cursor: pointer;
}
._13rolxh5._13rolxh1 {
  color: var(--q71dar7);
}
._13rolxh5._13rolxh2,._13rolxh5._13rolxh3:not(._13rolxh0):not(._13rolxh1),html:not([data-playroom-dark]) ._13rolxh5:hover:not(._13rolxh0):not(._13rolxh1) {
  color: var(--q71darc);
}
._13rolxh5:not(._13rolxh0):not(:hover):focus::before {
  color: var(--q71dar8);
}
._13rolxh5:not(._13rolxh0):not(._13rolxh1):focus::before,._13rolxh5:not(._13rolxh0):not(._13rolxh1):hover::before {
  opacity: 1;
}
._13rolxh5:not(._13rolxh3)::after {
  transform: translateX(100%);
  opacity: 0;
}
._13rolxh8 {
  top: 12px;
  right: 12px;
  height: 10px;
  width: 10px;
  background-color: var(--q71darf);
  border: 2px solid var(--q71darj);
}
._13rolxh8:not(._13rolxh6) {
  transform: scale(0);
  opacity: 0;
}
._13rolxha {
  top: 12px;
  right: 12px;
  height: 14px;
  width: 14px;
  background-color: var(--q71dard);
  border: 2px solid var(--q71darj);
}
._13rolxha:not(._13rolxh6) {
  transform: translate3d(-15px, 9px, 0) scale(0);
  opacity: 0;
}
._13rolxha svg {
  color: var(--q71dar9);
}
@keyframes on4rel1 {
  90% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
.on4rel0 {
  background-color: var(--q71darl);
}
.on4rel3 {
  background-color: var(--q71darh);
  color: var(--q71darb);
  min-width: 50px;
  animation-name: on4rel1;
  animation-duration: 1s;
  animation-timing-function: ease;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}
.on4rel3:hover {
  cursor: help;
}
.on4rel5 {
  width: 1em;
}
.on4rel7::after {
  content: "-";
}
.on4rel9::after {
  content: "+";
  color: var(--q71darc);
}
.react-codemirror2 {
  height: 100%;
  background-color: var(--q71darj);
}
.CodeMirror {
  height: 100%;
  width: 100%;
  font-family: var(--wz8b7d1);
  position: relative;
  z-index: 0;
}
.CodeMirror-gutters {
  min-width: var(--wz8b7db);
  box-sizing: border-box;
  padding-left: var(--wz8b7dj);
}
.CodeMirror pre, .CodeMirror-linenumber {
  font-size: 16px;
}
.CodeMirror-lines {
  padding: var(--wz8b7dl) 0;
}
.CodeMirror-hints {
  position: absolute;
  z-index: 10;
  overflow: hidden;
  list-style: none;
  margin: 0;
  padding: 0;
  box-shadow: var(--q71daro);
  border-radius: var(--wz8b7d7);
  background-color: var(--q71darj);
  font-size: 90%;
  line-height: 150%;
  font-family: var(--wz8b7d1);
  max-height: 20em;
  overflow-y: auto;
}
[data-playroom-dark] .CodeMirror-hints {
  background-color: var(--q71dari);
}
.CodeMirror-hint {
  margin: 0;
  padding: var(--wz8b7di) var(--wz8b7dj);
  border-radius: var(--wz8b7d7);
  white-space: pre;
  color: var(--q71dar0);
  cursor: pointer;
}
li.CodeMirror-hint-active {
  background-color: var(--q71darf);
  color: var(--q71dar9);
}
.CodeMirror-linenumbers {
  min-width: 50px;
}
.CodeMirror-foldmarker {
  color: var(--q71darc);
  font-family: arial;
  cursor: pointer;
  padding: 0 var(--wz8b7di);
}
.cm-s-neo.CodeMirror {
  background-color: var(--q71darj);
  color: var(--q71dar0);
}
.cm-s-neo .CodeMirror-cursor {
  background-color: var(--q71dar8);
  width: 2px;
}
.cm-s-neo .CodeMirror-gutters {
  background-color: var(--q71darj);
  border: none;
}
.cm-s-neo .CodeMirror-gutters::after {
  content: "";
  background-color: var(--q71darj);
  position: absolute;
  right: var(--wz8b7dh);
  height: 100%;
  box-shadow: 0 0 10px 5px var(--q71darj);
}
.cm-s-neo .CodeMirror-selected {
  background: var(--q71darl);
}
.cm-s-neo .CodeMirror-activeline-background {
  background: transparent;
}
.cm-s-neo .CodeMirror-guttermarker-subtle {
  display: flex;
  justify-content: center;
  color: var(--q71dar8);
  transition: var(--wz8b7df);
}
.cm-s-neo .CodeMirror-guttermarker-subtle:not(:hover):not(.on4rel9) {
  color: var(--q71dar7);
}
.cm-s-neo .CodeMirror-linenumber {
  min-width: 50px;
  color: var(--q71dar8);
  transition: var(--wz8b7df);
}
.cm-s-neo .CodeMirror-linenumber:not(:hover):not(.cm-s-neo .CodeMirror-activeline .CodeMirror-linenumber) {
  color: var(--q71dar7);
}
.cm-s-neo .cm-tag {
  color: var(--q71dar1);
}
.cm-s-neo .cm-attribute,.cm-s-neo .cm-keyword,.cm-s-neo .cm-property {
  color: var(--q71dar2);
}
.cm-s-neo .cm-string {
  color: var(--q71dar3);
}
.cm-s-neo .cm-atom {
  color: var(--q71dar4);
}
.cm-s-neo .cm-variable {
  color: var(--q71dar5);
}
.cm-s-neo .cm-number {
  color: var(--q71dar6);
}
.CodeMirror-dialog {
  padding-left: var(--wz8b7dl);
  padding-right: var(--wz8b7dl);
  min-height: 60px;
  border-bottom: 1px solid var(--q71darn);
  display: flex;
  align-items: center;
}
.CodeMirror-scroll {
  transform: translateY(var(--on4rela));
  transition: var(--wz8b7df);
}
.dialog-opened .CodeMirror-scroll {
  --on4rela: 60px;
}
.dialog-opened .CodeMirror-lines {
  padding-bottom: var(--on4rela);
}
.CodeMirror-dialog input {
  font: var(--wz8b7d5);
  font-family: var(--wz8b7d1);
  height: var(--wz8b7dc);
  flex-grow: 1;
}
.CodeMirror-search-hint {
  display: none;
}
.CodeMirror-search-label {
  display: flex;
  align-items: center;
  min-height: var(--wz8b7dc);
  font: var(--wz8b7d5);
  font-family: var(--wz8b7d1);
}
.CodeMirror-search-field {
  padding-left: var(--wz8b7dl);
}
label.CodeMirror-search-label {
  flex-grow: 1;
}
.dialog-opened.cm-s-neo .CodeMirror-selected {
  background: var(--q71darm);
}
.cm-overlay.cm-searching {
  padding-top: var(--wz8b7dh);
  padding-bottom: var(--wz8b7dh);
  background: var(--q71darl);
}
.CodeMirror-dialog button:first-of-type {
  margin-left: var(--wz8b7dl);
}
.CodeMirror-dialog button {
  appearance: none;
  font: var(--wz8b7d4);
  font-family: var(--wz8b7d0);
  margin-left: var(--wz8b7dj);
  padding-top: var(--wz8b7di);
  padding-bottom: var(--wz8b7di);
  padding-left: var(--wz8b7dk);
  padding-right: var(--wz8b7dk);
  align-self: center;
  display: block;
  background: none;
  border-radius: var(--wz8b7d8);
  cursor: pointer;
  border: 1px solid currentColor;
}
.CodeMirror-dialog button:focus {
  color: var(--q71darc);
  box-shadow: var(--q71darp);
  outline: none;
}
.CodeMirror-dialog button:focus:hover {
  background: var(--q71darl);
}
.CodeMirror-dialog button:hover {
  background: var(--q71dare);
}
._1v7ohak2 {
  top: var(--wz8b7dj);
  left: var(--wz8b7dj);
  right: var(--wz8b7dj);
  margin-inline: auto;
  width: fit-content;
  max-width: 80ex;
  color: #f6f8fa;
  background: #cd193d;
  box-shadow: 0 2px 10px -2px #cd193d;
  word-break: break-word;
  white-space: pre-line;
}
._1v7ohak2:not(._1v7ohak0) {
  transform: translateY(calc(var(--wz8b7dj) * -1));
  transition: none;
  opacity: 0;
}
._1v7ohak2 a {
  color: inherit;
}
._1v7ohak3 {
  transition-delay: 1000ms;
}
.mihmwi1 {
  color: var(--q71dar8);
}
.mihmwi2 {
  color: var(--q71darb);
}
.mihmwi3 {
  color: var(--q71dara);
}
.mihmwia {
  text-overflow: ellipsis;
}
.ol1yv41 {
  justify-content: safe center;
}
.ol1yv44 {
  flex-shrink: 0;
  width: var(--ol1yv42);
}
.ol1yv44:not(:hover) .ol1yv47 {
  opacity: 0.8;
}
.ol1yv49 {
  flex: 0 0 30px;
  height: 30px;
  margin-bottom: -10px;
}
.ol1yv44:not(:hover) .ol1yv49 {
  opacity: 0.3;
}
._339jen5 {
  padding: 0 15px;
  left: 50%;
  transform: translateX(-50%);
  top: var(--wz8b7dm);
  height: var(--wz8b7dn);
  max-width: calc((100dvw - 60px) - (var(--wz8b7db) * 2));
}
._339jen5._339jen0 {
  padding-right: calc((15px * 2) + 16px);
}
._339jen5:not(._339jen1) {
  opacity: 0;
  pointer-events: none;
  transform: translate3d(-50%, -10px, 0);
}
._339jen5._339jen2 {
  background-color: var(--q71darg);
}
._339jen5._339jen3 {
  background-color: var(--q71darh);
}
._339jen7 {
  padding-left: 15px;
  right: 15px;
  height: 16px;
  width: 16px;
}
._339jen7:not(:hover) {
  opacity: 0.4;
}
._1glif5y1 {
  color: var(--q71dar8);
  font-family: var(--wz8b7d0);
}
._1glif5y2 {
  font-size: 36px;
}
._1glif5y3 {
  font-size: 24px;
}
._1glif5y4 {
  font-size: 16px;
}
._9yvfbv2 {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: var(--_9yvfbv0);
  align-items: var(--_9yvfbv1);
}
._9yvfbv3 {
  --_9yvfbv0: var(--wz8b7dg);
}
._9yvfbv4 {
  --_9yvfbv0: var(--wz8b7dh);
}
._9yvfbv5 {
  --_9yvfbv0: var(--wz8b7di);
}
._9yvfbv6 {
  --_9yvfbv0: var(--wz8b7dj);
}
._9yvfbv7 {
  --_9yvfbv0: var(--wz8b7dk);
}
._9yvfbv8 {
  --_9yvfbv0: var(--wz8b7dl);
}
._9yvfbv9 {
  --_9yvfbv0: var(--wz8b7dm);
}
._9yvfbva {
  --_9yvfbv0: var(--wz8b7dn);
}
._9yvfbvb {
  --_9yvfbv0: var(--wz8b7do);
}
._9yvfbvc {
  --_9yvfbv0: var(--wz8b7dp);
}
._9yvfbvd {
  align-items: flex-start;
}
._9yvfbve {
  align-items: center;
}
._9yvfbvf {
  align-items: flex-end;
}
._1wox7s71 {
  display: flex;
  flex-direction: column;
  gap: var(--_1wox7s70);
}
._1wox7s72 {
  --_1wox7s70: var(--wz8b7dg);
}
._1wox7s73 {
  --_1wox7s70: var(--wz8b7dh);
}
._1wox7s74 {
  --_1wox7s70: var(--wz8b7di);
}
._1wox7s75 {
  --_1wox7s70: var(--wz8b7dj);
}
._1wox7s76 {
  --_1wox7s70: var(--wz8b7dk);
}
._1wox7s77 {
  --_1wox7s70: var(--wz8b7dl);
}
._1wox7s78 {
  --_1wox7s70: var(--wz8b7dm);
}
._1wox7s79 {
  --_1wox7s70: var(--wz8b7dn);
}
._1wox7s7a {
  --_1wox7s70: var(--wz8b7do);
}
._1wox7s7b {
  --_1wox7s70: var(--wz8b7dp);
}
._1c8hpfs1 {
  color: currentColor;
  background-color: transparent;
  outline: none;
  text-decoration: underline;
  margin: calc(var(--wz8b7di) * -1);
}
._1c8hpfs1::before {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  border-radius: var(--wz8b7d7);
  box-shadow: var(--q71darp);
  cursor: pointer;
  opacity: 0;
  transform: scale(0.8);
  transition: var(--wz8b7de);
}
._1c8hpfs1:focus::before, ._1c8hpfs1:hover::before {
  opacity: 1;
  transform: scale(1);
}
._1c8hpfs4 {
  height: 20px;
  width: 20px;
}
._1c8hpfs6 {
  flex-grow: 0;
  flex-shrink: 0;
  height: calc(20px - (var(--wz8b7dh) * 2));
  width: calc(20px - (var(--wz8b7dh) * 2));
}
._1c8hpfs6::before {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  border-radius: var(--wz8b7d7);
  box-shadow: var(--q71darp);
  transition: var(--wz8b7de);
  opacity: 0;
  transform: scale(0.5);
}
._1c8hpfs6::after {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  border-radius: var(--wz8b7d7);
  box-shadow: inset 0 0 0px 1px currentColor;
  background: var(--q71darj);
}
._1c8hpfs4:hover:not(:focus) ~ ._1c8hpfs6::before, ._1c8hpfs4:focus ~ ._1c8hpfs6::before {
  opacity: 1;
  transform: scale(1);
}
._1c8hpfs6 > svg {
  height: 100%;
  width: 100%;
  opacity: 0;
  transform: scale(0.6);
  transition: var(--wz8b7df);
  transition-delay: 0.1s, 0.3s;
  z-index: 1;
}
._1c8hpfs4:checked ~ ._1c8hpfs6 > svg  {
  opacity: 1;
  transform: none;
  transition: var(--wz8b7df);
}
._1c8hpfs8 {
  color: var(--q71dar8);
  height: var(--wz8b7dc);
  background: var(--q71darj);
  border: 1px solid var(--q71darn);
}
._1c8hpfs8::placeholder {
  color: var(--q71dar7);
}
.q3ktg61 {
  background: transparent;
  outline: none;
  text-decoration: none;
  white-space: nowrap;
  text-overflow: ellipsis;
  -webkit-tap-highlight-color: transparent;
}
.q3ktg64 {
  --q3ktg62: currentColor;
  color: var(--q3ktg62);
  border: 1px solid var(--q71dar7);
}
.q3ktg64:hover {
  --q3ktg62: var(--q71darc);
  border-color: var(--q3ktg62);
}
.q3ktg64:active {
  transform: scale(0.98);
}
.q3ktg64::after {
  content: "";
  position: absolute;
  transform: translateY(-50%);
  min-height: var(--wz8b7dc);
  min-width: var(--wz8b7dc);
  width: 100%;
  height: 100%;
  top: 50%;
}
.q3ktg64:focus:not(:active):not(:hover):not([disabled]) {
  box-shadow: var(--q71darp);
}
.q3ktg65 {
  --q3ktg62: var(--q71dard) !important;
  border-color: var(--q3ktg62);
}
.q3ktg67 {
  top: 1px;
}
.z5ynbc0 {
  transition: var(--wz8b7de);
  transform-origin: 50% 50%;
}
.z5ynbc1 {
  transform: rotate(90deg);
}
.z5ynbc2 {
  transform: rotate(180deg);
}
.z5ynbc3 {
  transform: rotate(270deg);
}
._1gb6u1d4 {
  min-width: 0;
}
._1gb6u1d5 {
  flex-shrink: 0;
}
._1gb6u1d9 {
  top: -4px;
  left: -4px;
  right: -4px;
  bottom: -4px;
}
._1gb6u1d7:focus:not(:hover) ~ ._1gb6u1d9 {
  opacity: 1;
}
._16ob80g2 {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
}
._16ob80g4 {
  display: inline-block;
  background: var(--q71dari);
  font-family: system-ui;
  min-width: 16px;
}
._16ob80g6 {
  height: var(--wz8b7dc);
  width: var(--wz8b7dc);
}
._16ob80g8 {
  height: var(--wz8b7dc);
  width: var(--wz8b7dc);
}
._16ob80g8::before {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: var(--q71darl);
  border-radius: var(--wz8b7d8);
  transition: var(--wz8b7de);
  opacity: 0;
  transform: scale(0.8);
}
._16ob80g6:checked ~ ._16ob80g8,html:not([data-playroom-dark]) ._16ob80g6:hover ~ ._16ob80g8 {
  color: var(--q71darc);
}
._16ob80g6:focus ~ ._16ob80g8::before, ._16ob80g6:hover ~ ._16ob80g8::before {
  opacity: 1;
  transform: scale(1);
}
.cav2og1 {
  color: var(--q71dar8);
  height: var(--wz8b7dc);
  background: var(--q71darj);
}
.cav2og1:focus {
  outline: none;
}
.cav2og1::placeholder {
  color: var(--q71dar7);
}
.z9okvk2 {
  height: 60px;
  box-shadow: inset 0 -1px 0 0 var(--q71darn);
}
.z9okvk4 {
  list-style: none;
  top: 60px;
}
.z9okvk4::before {
  content: "";
  position: fixed;
  top: 60px;
  left: 0;
  right: 0;
  height: var(--wz8b7di);
  z-index: 1;
}
.z9okvk4::after {
  content: "";
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  height: var(--wz8b7di);
  z-index: 1;
}
.z9okvk6 {
  scroll-margin-block: var(--wz8b7di);
  color: var(--q71dar8);
  background-color: var(--q71darj);
}
.z9okvk6::before {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: var(--q71darl);
  border-radius: var(--wz8b7d7);
  opacity: 0;
  pointer-events: none;
}
.z9okvk8 {
  color: var(--q71dara);
}
.z9okvk9 {
  color: var(--q71darc);
}
.z9okvk9::before {
  opacity: 1;
}
._13viq5u2 {
  color: var(--q71dar8);
  min-width: calc(60px + 1px);
}
._13viq5u2._13viq5u0 {
  width: 100dvw;
}
._13viq5u6 {
  width: 60px;
  background-color: var(--q71darj);
  border-left: 1px solid var(--q71darn);
}
._13viq5u8 {
  width: 320px;
  background-color: var(--q71darj);
  border-left: 1px solid var(--q71darn);
}
._13viq5u9 {
  opacity: 0;
  transform: translateX(30%);
}
._13viq5ub {
  opacity: 1;
  transform: translateX(0);
}
._13viq5uc {
  opacity: 1;
  transform: translateX(0);
}
._13viq5ud {
  opacity: 1;
}
._13viq5uf {
  opacity: 0;
  transform: translateX(30%);
}
._13viq5ug {
  opacity: 0;
  transform: translateX(30%);
}
._10u0fet0 {
  cursor: row-resize;
}
._10u0fet1 {
  cursor: col-resize;
}
._10u0feta {
  background: var(--q71dari);
}
._10u0fetb {
  width: 70px;
  height: 4px;
}
._10u0fetc {
  width: 4px;
  height: 70px;
}
html, body {
  margin: 0;
  padding: 0;
  overflow: hidden;
  background-color: var(--q71dark);
}
html[data-playroom-dark] {
  color-scheme: dark;
}
._8e7lo70 {
  pointer-events: none;
  user-select: none;
}
._8e7lo76 {
  display: grid;
  grid-template-columns: 1fr var(--_8e7lo72, 0px);
  grid-template-rows: auto var(--_8e7lo71, 0px);
  will-change: grid-template-columns, grid-template-rows;
}
._8e7lo77 {
  transition: grid-template-columns 300ms ease, grid-template-rows 300ms ease;
}
._8e7lo78 {
  --_8e7lo71: clamp(300px, var(--_8e7lo73), 80vh);
  grid-template-areas: "frames frames"
"editor editor";
}
._8e7lo79 {
  --_8e7lo72: clamp(460px, var(--_8e7lo73), 90vw);
  grid-template-areas: "frames editor"
"frames editor";
}
._8e7lo7a {
  grid-area: frames;
}
._8e7lo7c {
  grid-area: editor;
}
._8e7lo78 ._8e7lo7e {
  width: 60px;
}
._8e7lo7g {
  background: transparent;
  -webkit-tap-highlight-color: transparent;
  outline: none;
  min-width: var(--wz8b7dc);
  height: var(--wz8b7dc);
}
._8e7lo7g::before {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: currentColor;
  opacity: 0;
  pointer-events: none;
  border-radius: var(--wz8b7d8);
  transition: var(--wz8b7dd);
}
._8e7lo7g:not(:hover):not(:focus) {
  opacity: 0.3;
}
._8e7lo7g:hover::before, ._8e7lo7g:focus::before {
  opacity: 0.05;
}
